GeographicLib: GeographicLib::Triaxial::GeodesicLine3::fline::fics Class Reference

GeographicLib 2.6

Loading...
Searching...
No Matches
GeographicLib::Triaxial::GeodesicLine3::fline::fics Class Reference

`#include <GeographicLib/Triaxial/GeodesicLine3.hpp>`

## Public Member Functions
| fics ()
| fics (const fline &f, ang bet1, ang omg1, ang alp1)
void | setquadrant (const fline &f, unsigned q)
void | pos1 (bool transpolar, ang &bet10, ang &omg10, ang &alp10) const

## Public Attributes
ang | tht1
ang | phi1
ang | alp1
ang | psi1
ang | tht0
ang | phi0
ang | alp0
real | u0
real | v0
real | delta
int | Nx
int | Ex

## Detailed Description

Definition at line 208 of file GeodesicLine3.hpp.

## Constructor & Destructor Documentation

## ◆ fics() [1/2]

GeographicLib::Triaxial::GeodesicLine3::fline::fics::fics | ( |  | ) |
| inline

Definition at line 229 of file GeodesicLine3.hpp.

Referenced by setquadrant().

## ◆ fics() [2/2]

GeographicLib::Triaxial::GeodesicLine3::fline::fics::fics | ( | const fline & | f,
|  | ang | bet1,
|  | ang | omg1,
|  | ang | alp1 )

Definition at line 1001 of file GeodesicLine3.cpp.

References alp0, alp1, GeographicLib::AngleT< Math::real >::cardinal(), delta, Ex, Nx, phi0, phi1, psi1, GeographicLib::Math::sq(), std::swap(), tht0, tht1, u0, and v0.

## Member Function Documentation

## ◆ setquadrant()

void GeographicLib::Triaxial::GeodesicLine3::fline::fics::setquadrant | ( | const fline & | f,
|  | unsigned | q )

Definition at line 1093 of file GeodesicLine3.cpp.

References fics(), GeographicLib::Triaxial::GeodesicLine3::pos1(), and GeographicLib::AngleT< T >::setquadrant().

## ◆ pos1()

void GeographicLib::Triaxial::GeodesicLine3::fline::fics::pos1 | ( | bool | transpolar,
|  | ang & | bet10,
|  | ang & | omg10,
|  | ang & | alp10 ) const

Definition at line 1081 of file GeodesicLine3.cpp.

References alp1, GeographicLib::AngleT< Math::real >::cardinal(), Ex, phi1, GeographicLib::AngleT< T >::reflect(), std::swap(), and tht1.

## Member Data Documentation

## ◆ tht1

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::tht1

Definition at line 213 of file GeodesicLine3.hpp.

Referenced by fics(), GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics(), and pos1().

## ◆ phi1

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::phi1

Definition at line 213 of file GeodesicLine3.hpp.

Referenced by fics(), GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics(), and pos1().

## ◆ alp1

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::alp1

Definition at line 213 of file GeodesicLine3.hpp.

Referenced by fics(), and pos1().

## ◆ psi1

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::psi1

Definition at line 214 of file GeodesicLine3.hpp.

Referenced by fics().

## ◆ tht0

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::tht0

Definition at line 224 of file GeodesicLine3.hpp.

Referenced by fics(), and GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics().

## ◆ phi0

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::phi0

Definition at line 224 of file GeodesicLine3.hpp.

Referenced by fics(), and GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics().

## ◆ alp0

ang GeographicLib::Triaxial::GeodesicLine3::fline::fics::alp0

Definition at line 224 of file GeodesicLine3.hpp.

Referenced by fics().

## ◆ u0

real GeographicLib::Triaxial::GeodesicLine3::fline::fics::u0

Definition at line 227 of file GeodesicLine3.hpp.

Referenced by fics(), and GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics().

## ◆ v0

real GeographicLib::Triaxial::GeodesicLine3::fline::fics::v0

Definition at line 227 of file GeodesicLine3.hpp.

Referenced by fics(), and GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics().

## ◆ delta

real GeographicLib::Triaxial::GeodesicLine3::fline::fics::delta

Definition at line 227 of file GeodesicLine3.hpp.

Referenced by fics().

## ◆ Nx

int GeographicLib::Triaxial::GeodesicLine3::fline::fics::Nx

Definition at line 228 of file GeodesicLine3.hpp.

Referenced by fics(), and GeographicLib::Triaxial::GeodesicLine3::gline::gics::gics().

## ◆ Ex

int GeographicLib::Triaxial::GeodesicLine3::fline::fics::Ex

Definition at line 228 of file GeodesicLine3.hpp.

Referenced by fics(), and pos1().

The documentation for this class was generated from the following files:

- GeodesicLine3.hpp
- GeodesicLine3.cpp